Skip to content

List All Assets

Request

Lists all assets.

Security
apiKey
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/assets.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/assets.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:43:06 GMT"
ETagstring
Example:"W/\"6d5e8119257252130624e8cc1a78b813\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"6651d0a2-7f9f-4273-b876-f4544e22e0ca"
X-Runtimestring
Example:"0.401007"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F443A_6E7B90:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<assets type="array" current_page="1" per_page="1" total_pages="1" total_entries="1">
   <asset>
    <id readonly="readonly">345232</id>
    <name>Milkshake</name>
    <model>Yard</model>
    <serial>123456</serial>
    <notes>A sample note</notes>
    <group_ids>2908</group_ids>
    <customer_id>123456</customer_id>
    <attachment_id></attachment_id>
    <third_party_id>Kelis</third_party_id>
    <cost>42.50</cost>
    <enabled>true</enabled>
    <location>
        <id type="integer">84710961</id>
        <address1></address1>
        <address2></address2>
        <suburb></suburb>
        <city></city>
        <post_code></post_code>
        <country></country>
        <province></province>
        <region></region>
        <state></state>
        <formatted_address>200 Queen Street, Auckland, New Zealand</formatted_address>
        <lat type="decimal">-36.848616</lat>
        <lng type="decimal">174.765643</lng>
        <deleted_at type="datet…